Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Make our SUFFIX default selection py2/3 compatible #5251

Merged
merged 1 commit into from Feb 7, 2019

Conversation

@humitos
Copy link
Member

@humitos humitos commented Feb 7, 2019

dict_keys can be accessed via indexing, so make a list.

@agjohnson agjohnson merged commit 9ecd70c into master Feb 7, 2019
1 check passed
@delete-merged-branch delete-merged-branch bot deleted the humitos/make-conf-pyX-compatible branch Feb 7, 2019
@agjohnson agjohnson restored the humitos/make-conf-pyX-compatible branch Feb 7, 2019
@agjohnson agjohnson deleted the humitos/make-conf-pyX-compatible branch Feb 7, 2019
@mattpitkin
Copy link

@mattpitkin mattpitkin commented Feb 12, 2019

I was just wondering if this fix is going to be released and deployed soon?

@humitos
Copy link
Member Author

@humitos humitos commented Feb 13, 2019

@mattpitkin yes, it will go out in next deploy. Probably, next week.

@ericholscher
Copy link
Member

@ericholscher ericholscher commented Feb 13, 2019

I'm actually likely going to deploy this today because of another high priority bugfix 👍

@mattpitkin
Copy link

@mattpitkin mattpitkin commented Feb 13, 2019

Great, thanks. I think without this fix it must be breaking quite a few Python 3 builds.

@ericholscher
Copy link
Member

@ericholscher ericholscher commented Feb 13, 2019

@mattpitkin should be out now if you want to test.

@mattpitkin
Copy link

@mattpitkin mattpitkin commented Feb 13, 2019

Thanks very much. My build gets past the failure that this PR fixed, but then gets the following error:

Running Sphinx v1.7.9
loading translations [en]... done

Traceback (most recent call last):
  File "/home/docs/checkouts/readthedocs.org/user_builds/cwinpy/envs/latest/lib/python3.7/site-packages/nbsphinx.py", line 1752, in setup
    app.add_source_suffix('.ipynb', 'jupyter_notebook')
AttributeError: 'Sphinx' object has no attribute 'add_source_suffix'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/docs/checkouts/readthedocs.org/user_builds/cwinpy/envs/latest/lib/python3.7/site-packages/sphinx/cmdline.py", line 303, in main
    args.warningiserror, args.tags, args.verbosity, args.jobs)
  File "/home/docs/checkouts/readthedocs.org/user_builds/cwinpy/envs/latest/lib/python3.7/site-packages/sphinx/application.py", line 191, in __init__
    self.setup_extension(extension)
  File "/home/docs/checkouts/readthedocs.org/user_builds/cwinpy/envs/latest/lib/python3.7/site-packages/sphinx/application.py", line 411, in setup_extension
    self.registry.load_extension(self, extname)
  File "/home/docs/checkouts/readthedocs.org/user_builds/cwinpy/envs/latest/lib/python3.7/site-packages/sphinx/registry.py", line 326, in load_extension
    metadata = mod.setup(app)
  File "/home/docs/checkouts/readthedocs.org/user_builds/cwinpy/envs/latest/lib/python3.7/site-packages/nbsphinx.py", line 1755, in setup
    _add_notebook_parser(app)
  File "/home/docs/checkouts/readthedocs.org/user_builds/cwinpy/envs/latest/lib/python3.7/site-packages/nbsphinx.py", line 1740, in _add_notebook_parser
    source_suffix.append('.ipynb')
AttributeError: 'dict' object has no attribute 'append'

Exception occurred:
  File "/home/docs/checkouts/readthedocs.org/user_builds/cwinpy/envs/latest/lib/python3.7/site-packages/nbsphinx.py", line 1740, in _add_notebook_parser
    source_suffix.append('.ipynb')
AttributeError: 'dict' object has no attribute 'append'
The full traceback has been saved in /tmp/sphinx-err-7_agp7hk.log, if you want to report the issue to the developers.
Please also report this if it was a user error, so that a better error message can be provided next time.
A bug report can be filed in the tracker at <https://github.com/sphinx-doc/sphinx/issues>. Thanks!

However, that seems to be a nbsphinx extension error, so I'll look at filling a bug report there.

@stsewd
Copy link
Member

@stsewd stsewd commented Feb 13, 2019

Yeah, looks like a nbsphinx issue

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

5 participants